Skip to content
Browse files

Merge branch 'master' of git://github.com/jbolster/Stack-Fiddle

  • Loading branch information...
2 parents f006b2c + 89b9e95 commit efba61826e52ceb1d90e3105ba967e2208741b72 @jbolster jbolster committed
Showing with 39 additions and 17 deletions.
  1. +38 −16 Extension/Html/options.html
  2. +1 −1 Extension/manifest.json
View
54 Extension/Html/options.html
@@ -99,55 +99,77 @@
Select library:
<select name="js_library" id="js_library">
<optgroup label="Mootools">
- <option value="mootools1.4.5" data-framework="mootools" data-version="1.4.5">Mootools Core 1.4.5</option>
- <option value="mootools1.3.2" data-framework="mootools" data-version="1.3.2">Mootools Core 1.3.2</option>
- <option value="mootools1.2.5" data-framework="mootools" data-version="1.2.5">Mootools Core 1.2.5</option>
- <option value="mootools1.1.2" data-framework="mootools" data-version="1.1.2">Mootools Core 1.1.2</option>
+ <option value="mootools1.4.5" data-framework="mootools" data-version="1.4.5">Mootools 1.4.5</option>
+ <option value="mootools1.3.2" data-framework="mootools" data-version="1.3.2">Mootools 1.3.2</option>
+ <option value="mootools1.2.5" data-framework="mootools" data-version="1.2.5">Mootools 1.2.5</option>
+ <option value="mootools1.1.2" data-framework="mootools" data-version="1.1.2">Mootools 1.1.2</option>
+ <option value="mootoolsedge" data-framework="mootools" data-version="edge">Mootools (edge)</option>
</optgroup>
<optgroup label="jQuery">
+ <option value="jquery1.7.2" data-framework="jquery" data-version="1.7.2" selected>jQuery 1.7.2</option>
<option value="jquery1.7.1" data-framework="jquery" data-version="1.7.1" selected>jQuery 1.7.1</option>
<option value="jquery1.6.4" data-framework="jquery" data-version="1.6.4" selected>jQuery 1.6.4</option>
- <option value="jquery1.5" data-framework="jquery" data-version="1.5" selected>jQuery 1.5</option>
+ <option value="jquery1.5.2" data-framework="jquery" data-version="1.5.2" selected>jQuery 1.5.2</option>
<option value="jquery1.4.4" data-framework="jquery" data-version="1.4.4">jQuery 1.4.4</option>
- <option value="jquery1.4.2" data-framework="jquery" data-version="1.4.2">jQuery 1.4.2</option>
<option value="jquery1.3.2" data-framework="jquery" data-version="1.3.2">jQuery 1.3.2</option>
- <option value="jquery1.2.6" data-framework="jquery" data-version="1.2.6">jQuery 1.2.6</option>
+ <option value="jquery1.2.6" data-framework="jquery" data-version="1.2.6">jQuery 1.2.6</option>
+ <option value="jqueryedge" data-framework="jquery" data-version="edge">jQuery (edge)</option>
</optgroup>
<optgroup label="Prototype">
<option value="prototype1.7" data-framework="prototype" data-version="1.7">Prototype 1.7</option>
<option value="prototype1.6.1.0" data-framework="prototype" data-version="1.6.1.0">Prototype 1.6.1.0</option>
</optgroup>
<optgroup label="YUI">
- <option value="yui3.2.0" data-framework="yui" data-version="3.2.0">YUI Simple 3.2.0</option>
- <option value="yui3.3.0" data-framework="yui" data-version="3.3.0">YUI 3.3.0</option>
- <option value="yui3.2.0" data-framework="yui" data-version="3.2.0">YUI 3.2.0</option>
+ <option value="yui3.5.0" data-framework="yui" data-version="3.5.0">YUI Simple 3.5.0</option>
+ <option value="yui3.4.1" data-framework="yui" data-version="3.4.1">YUI 3.4.1</option>
<option value="yui2.8.0r4" data-framework="yui" data-version="2.8.0r4">YUI 2.8.0r4</option>
</optgroup>
<optgroup label="Glow">
- <option value="glow1.7.0" data-framework="glow" data-version="1.7.0">Glow Core 1.7.0</option>
+ <option value="glow1.7.7" data-framework="glow" data-version="1.7.7">Glow Core 1.7.7</option>
</optgroup>
<optgroup label="Dojo">
- <option value="Dojo1.6.0b2" data-framework="Dojo" data-version="1.6.0b2">Dojo 1.6.0b2</option>
+ <option value="Dojo1.7.2" data-framework="Dojo" data-version="1.7.2">Dojo 1.7.2</option>
+ <option value="Dojo1.7.1" data-framework="Dojo" data-version="1.7.1">Dojo 1.7.1</option>
+ <option value="Dojo1.6" data-framework="Dojo" data-version="1.6">Dojo 1.6</option>
<option value="Dojo1.5" data-framework="Dojo" data-version="1.5">Dojo 1.5</option>
<option value="Dojo1.4" data-framework="Dojo" data-version="1.4">Dojo 1.4</option>
<option value="Dojo1.3" data-framework="Dojo" data-version="1.3">Dojo 1.3</option>
+ <option value="nightly" data-framework="Dojo" data-version="nightly">Dojo (nightly)</option>
</optgroup>
<optgroup label="Processing.js">
+ <option value="Processing1.3.6" data-framework="Processing" data-version="1.3.6">Processing.js 1.3.6</option>
+ <option value="Processing1.2.3" data-framework="Processing" data-version="1.2.3">Processing.js 1.2.3</option>
<option value="Processing1.0.0" data-framework="Processing" data-version="1.0.0">Processing.js 1.0.0</option>
- <option value="Processing0.9.7" data-framework="Processing" data-version="0.9.7">Processing.js 0.9.7</option>
- <option value="Processing0.6" data-framework="Processing" data-version="0.6">Processing.js 0.6</option>
</optgroup>
<optgroup label="ExtJS">
- <option value="ExtJS3.1.0" data-framework="ExtJS" data-version="3.1.0">ExtJS Core 3.1.0</option>
- <option value="ExtJS3.0.0" data-framework="ExtJS" data-version="3.0.0">ExtJS Core 3.0.0</option>
+ <option value="ExtJS4.0.7" data-framework="ExtJS" data-version="4.0.7">ExtJS 4.0.7</option>
+ <option value="ExtJS3.1.0" data-framework="ExtJS" data-version="3.1.0">ExtJS 3.1.0</option>
+ <option value="ExtJS3.0.0" data-framework="ExtJS" data-version="3.0.0">ExtJS 3.0.0</option>
</optgroup>
<optgroup label="Raphael">
+ <option value="Raphael2.0" data-framework="Raphael" data-version="2.0">Raphael 2.0</option>
<option value="Raphael1.5.2" data-framework="Raphael" data-version="1.5.2">Raphael 1.5.2 (min)</option>
<option value="Raphael1.4" data-framework="Raphael" data-version="1.4">Raphael 1.4</option>
</optgroup>
<optgroup label="RightJS">
<option value="RightJS2.1.1" data-framework="RightJS" data-version="2.1.1">RightJS 2.1.1</option>
</optgroup>
+ <optgroup label="Three.js">
+ <option value="Threeedge" data-framework="Three" data-version="edge">Three.js (edge)</option>
+ </optgroup>
+ <optgroup label="Zepto">
+ <option value="Zepto0.8" data-framework="Zepto" data-version="0.8">Zepto 0.8</option>
+ </optgroup>
+ <optgroup label="Enyo">
+ <option value="Enyo2.0b3" data-framework="Enyo" data-version="2.0b3">Enyo 2.0b3</option>
+ </optgroup>
+ <optgroup label="Shipyard">
+ <option value="Shipyard0.1" data-framework="Shipyard" data-version="0.1">Shipyard 0.1</option>
+ <option value="Shipyardnightly" data-framework="Shipyard" data-version="nightly">Shipyard (nightly)</option>
+ </optgroup>
+ <optgroup label="Knockout.js">
+ <option value="Knockout2.0.0" data-framework="Knockout" data-version="2.0.0">Knockout.js 2.0.0</option>
+ </optgroup>
</select>
</label>
<p class="note">Select your favourite library and version! This will be the default for your fiddles.</p>
View
2 Extension/manifest.json
@@ -1,6 +1,6 @@
{
"name": "Stack Fiddle",
- "version": "1.0.7",
+ "version": "1.1.0",
"description": "A jsFiddle helper for the Stack Exchange sites",
"background_page": "Html/background.html",
"options_page": "Html/options.html",

0 comments on commit efba618

Please sign in to comment.
Something went wrong with that request. Please try again.